Package org.apache.storm.trident.spout

## Class TridentSpoutExecutor

- java.lang.Object
- - org.apache.storm.trident.spout.TridentSpoutExecutor

- All Implemented Interfaces:
    `Serializable`, `IComponent`, `ITridentBatchBolt`

      public class TridentSpoutExecutor
      extends Object
      implements ITridentBatchBolt

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ID_FIELD` |
    `static org.slf4j.Logger` | `LOG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TridentSpoutExecutor​(String txStateId, String streamName, ITridentSpout<Object> spout)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `void` | `declareOutputFields​(OutputFieldsDeclarer declarer)` | Declare the output schema for all the streams of this topology.
    `void` | `execute​(BatchInfo info, Tuple input)` |
    `void` | `finishBatch​(BatchInfo batchInfo)` |
    `Map<String,​Object>` | `getComponentConfiguration()` | Declare configuration specific to this component.
    `Object` | `initBatchState​(String batchGroup, Object batchId)` |
    `void` | `prepare​(Map<String,​Object> conf, TopologyContext context, BatchOutputCollector collector)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### TridentSpoutExecutor

          public TridentSpoutExecutor​(String txStateId,
                                      String streamName,
                                      ITridentSpout<Object> spout)

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TopologyContext context,
                              BatchOutputCollector collector)

      Specified by:
        `prepare` in interface `ITridentBatchBolt`

    - #### execute

          public void execute​(BatchInfo info,
                              Tuple input)

      Specified by:
        `execute` in interface `ITridentBatchBolt`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `ITridentBatchBolt`

    - #### declareOutputFields

          public void declareOutputFields​(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`
      Declare the output schema for all the streams of this topology.
      Specified by:
        `declareOutputFields` in interface `IComponent`
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### getComponentConfiguration

          public Map<String,​Object> getComponentConfiguration()

      Description copied from interface: `IComponent`
      Declare configuration specific to this component. Only a subset of the "topology.*" configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`
      Specified by:
        `getComponentConfiguration` in interface `IComponent`

    - #### finishBatch

          public void finishBatch​(BatchInfo batchInfo)

      Specified by:
        `finishBatch` in interface `ITridentBatchBolt`

    - #### initBatchState

          public Object initBatchState​(String batchGroup,
                                       Object batchId)

      Specified by:
        `initBatchState` in interface `ITridentBatchBolt`